Loco Translate

Beschrijving

Loco Translate biedt in-browser bewerking van WordPress-vertaalbestanden en integratie met automatische vertaalservices.

Het biedt ook Gettext/localisatie gereedschappen voor ontwikkelaars, zoals het extraheren van strings en het genereren van templates.

Functies zijn onder meer:

  • Ingebouwde vertalingseditor binnen WordPress beheer
  • Integration with translation APIs including DeepL, Google, Microsoft and Lecto AI
  • Maak en update taalbestanden rechtstreeks in je thema of plugin
  • Extractie van vertaalbare strings uit je broncode
  • Native MO bestandscompilatie zonder dat Gettext op je systeem nodig is
  • Ondersteuning voor PO functies, waaronder reacties, verwijzingen en meervoud formulieren
  • PO bronweergave met klikbare bron code referenties
  • Beschermde taal folder voor het opslaan van aangepaste vertalingen
  • Configureerbare PO-bestandsback-ups met mogelijkheden voor diff en restore
  • Ingebouwde WordPress locale codes

Officiële Loco WordPress plugin door Tim Whitlock.
Bezoek onze plugin pagina voor meer informatie.

Toetsenbord sneltoetsen

De PO bestandseditor ondersteunt de volgende sneltoetsen om sneller te kunnen vertalen:

  • Klaar en volgende: Ctrl ↵
  • Volgende string: Ctrl ↓
  • Vorige string: Ctrl ↑
  • Volgende onvertaald: Shift Ctrl ↓
  • Vorige onvertaald: Shift Ctrl ↑
  • Kopiëren vanuit de brontekst: Ctrl B
  • Wis vertaling: Ctrl K
  • Toggle fuzzy: Ctrl U
  • PO opslaan / compileer MO: Ctrl S
  • Toggle invisibles: Shift Ctrl I
  • Suggest translation: Ctrl J

Mac-gebruikers kunnen ⌘ Cmd gebruiken in plaats van Ctrl.

Schermafdrukken

  • Strings vertalen in de browser met de Loco PO Editor
  • Vertaling voortgang tonen voor thema taalbestanden
  • PO source view with text filter and clickable file references
  • Tabblad Herstellen met PO diff weergave met terugzetfunctie
  • Showing access to translations by installed language
  • Suggestion feature showing results from several providers

Installatie

Basis gebruik:

Vertalers: Volg deze stappen om een thema in je taal te vertalen :

  1. Maak de beschermde talen folder aan in wp-content/languages/loco/themes
  2. Zorg ervoor dat deze folder schrijfbaar is door de webserver
  3. Vind je thema in de lijst op Loco Translate > Thema’s
  4. Klik + Nieuwe taal en volg de aanwijzingen op het scherm.

Ontwikkelaars: Voer de volgende stappen uit om je eigen thema of plugin te vertalen voor distributie:

  1. Maak een talen subfolder in de hoofdfolder van je bundel
  2. Zorg ervoor dat deze folder schrijfbaar is door de webserver
  3. Vind de bundel bij Loco Translate > Thema’s of Loco Translate > Plugins
  4. Klik op + Template maken en volg de aanwijzingen op het scherm om je strings te extraheren.
  5. Klik op + Nieuwe taal en volg de aanwijzingen op het scherm om je eigen vertalingen toe te voegen.

Handmatig installeren:

  1. Pak alle bestanden uit in de wp-content/plugins/loco-translate folder
  2. Login op WordPress beheer en activeer de ‘Loco Translate’ plugin via het menu ‘Plugins’
  3. Ga naar Loco Translate > Home in het linkermenu om de vertaling te starten

Meer informatie over het gebruik van de plugin ishier beschikbaar.

FAQ

Please visit the FAQs page on our website for the most common issues.

Hoe gebruik ik Loco Translate?

Bekijk onze handleidingen en tutorials.

Hoe krijg ik meer hulp?

If you have a problem using Loco Translate, please try our help pages.
There’s a lot of information there to help you understand how it works and the most common pitfalls to avoid.

To report a bug please start a new topic in the support forum,
but please check the FAQs for similar issues first.
If you decide to submit a bug report please post enough relevant detail for us to reproduce your issue.

Is mijn data gewaarborgd?

We verzamelen geen gegevens over je site. Zie de plugin privacy verklaring.

Beoordelingen

22 november 2023
I have tried every translation plugin I could find, wasted a lot of money and time. Non could translate 100% of the text. My sysadmin has told me about Loco Translate and all my problems were gone. When you install this plugin, go to Deepl Translate and register for a free account. Then add Deepl code to this plugin to get automatic translation which will require some minor editing. You will get an access for a full translation for FREE. P.S. to make it work 100% you will need to study it first and then do everything properly, otherwise you will endup with problems like 1 start rating people. There is a lot of information on the internet including video guides, just google for it.
19 november 2023
plugin not working, tried to clear cache and deactivate other plugins
Lees alle 412 beoordelingen

Bijdragers & ontwikkelaars

“Loco Translate” is open source software. De volgende personen hebben bijgedragen aan deze plugin.

Bijdragers

“Loco Translate” is vertaald in 39 talen. Dank voor de vertalers voor hun bijdragen.

Vertaal “Loco Translate” naar jouw taal.

Interesse in ontwikkeling?

Bekijk de code, haal de SVN repository op, of abonneer je op het ontwikkellog via RSS.

Changelog

2.6.6

  • Replaced open_basedir check with error capturing

2.6.5

  • Added syntax checking function
  • Removed deepl_api_url config. Free API detected from :fx key suffix.
  • Fixed bug in relative path calculations
  • Fixed API suggestions for plural forms
  • Fixed bug clearing unsaved state icons
  • Added total strings count to PO file tables
  • Sharper flags and spinners (@x2 pixel support)
  • Handling upload_tmp_dir values outside of open_basedir
  • Suppressing E_WARNING when testing file is_readable
  • Bundle debug screen is deprecated (moving into Setup)
  • Showing System Diagnostics when debug is off
  • Bumped WordPress compatibility to 6.3.1

2.6.4

  • Bumped WordPress version to 6.1.1
  • Dropped support for Internet Explorer
  • Updated JavaScript to ECMAScript 6
  • Added loco_bundle_configured hook
  • Fixed error icon not clearing after correction

2.6.3

  • Fixed bug in plural forms comparison
  • Fixed bug generating author theme jsons
  • Fixed errors in bundle debugger
  • Extended cli type argument to filter specific bundle
  • Bumped WordPress version to 6.0.3

2.6.2

  • Bumped WordPress versie naar 6.0.0
  • Better labelling of reverse-engineered plural forms
  • Removed undocumented loco_locale_plurals filter; use loco_po_headers
  • PO map locatie indicator in kruimelpad toegevoegd
  • Added syntax validation for formatted strings

2.6.1

  • Bumped WordPress versie naar 5.9.2
  • Fix for CVE-2022-0765 reported by Taurus Omar via wpscan

2.6.0

  • Geen ondersteuning meer voor WordPress < 5.2
  • Code upgrades voor >= PHP 5.6.20
  • Bumped WordPress versie naar 5.9.1
  • Removed Yandex API integration
  • Added loco_compile_script_reference filter
  • Plural-Forms retained when copying PO to same language

2.5.8

  • Compatibel met PHP 8.1
  • Bumped WordPress versie naar 5.9
  • Added deprecation warning prior to v2.6

2.5.7

  • Fixed bug in 2.5.6 where remote APIs could not be used in batch mode
  • Enforcing 10k character limit per request for Microsoft and Yandex Translators
  • Style fix for revision/diff table under restore tab

2.5.6

  • Added loco_api_provider_source filter
  • Fixed bug loading user preferences saved in older version
  • Refactored file finder to avoid recursive function calls
  • Fixed bug displaying two forms for zero plural languages
  • Added Lecto AI to translation API providers
  • Bumped WordPress versie naar 5.8.3

2.5.5

  • Fixed double file extension vulnerability reported by WordFence
  • Betere prestaties bij het scannen van folders op bestandstypen

2.5.4

  • Fixed vulnerability reported by Tomi Ashari via wpscan
  • Added filters loco_po_headers and loco_pot_headers
  • Bumped WordPress version to 5.8.1

2.5.3

  • Adds option to merge JSON translations when syncing from PO
  • Adds screen for editing file headers and sync options
  • Fix for missing responseText in failed Ajax responses
  • Fix for HTML entities returned from number_format_i18n
  • Localized number formatting in JavaScript
  • Replaced usage of date_i18n with wp_date
  • Added configurable API endpoint for DeepL
  • Bumped WordPress versie naar 5.7.2

2.5.2

  • Added implied formality and loco_locale_formality filter
  • Cli fetch commando toegevoegd (experimenteel)
  • Bumped WordPress versie naar 5.7

2.5.1

  • Support for new Yandex translate API
  • Support for DeepL formality parameter
  • Removed literal “1” and “one” instances from singular strings
  • Buffering compiled JSON to support strings from multiple sources
  • Added loco_compile_single_json filter for specifying custom JSON
  • Added loco_extracted_template hook for adding custom strings
  • Synchronisatie verwijdert niet langer het huidige tekstfilter van de editor
  • Bumped WordPress versie naar 5.6.2

2.5.0

  • PHP 8.0.0 compatibiliteit
  • Bumped WordPress versie naar 5.6.0
  • Added JSON translation file generation
  • Added custom JSON loading to LoadHelper
  • Disabled emoji image replacement on our admin screens

2.4.6

  • Fixed critical bug syncing PO directly to source code
  • Added plugin setting for allowing/disallowing missing POT
  • Fixed WP5.5 issue with multiple ID attributes on script tags

2.4.5

  • Added WP-CLI sync and extract commands
  • Fixed {locale} placeholder bug introduced in 2.4.4
  • Improved handling of invalid character encodings
  • Sync (msgmerge) moved to back end
  • New fuzzy matching with fuzziness setting
  • Bumped WordPress versie naar 5.5.3

2.4.4

  • Added PO file upload feature
  • Added download button to file info page
  • Fix for extracting plurals also used as singulars
  • Updating API keys no longer require editor page reload
  • Catching fatal startup errors in loco.php
  • Supporting max_php_size=0 to mean no size restriction
  • Auto-update detection now checks new site options
  • Bumped WordPress versie naar 5.5.1

2.4.3

  • Improved fix for default syncing of msgstr fields
  • Reverted accidental removal of js debug flag
  • Minor fixes to API error messages
  • Removed use of jQuery.browser
  • Bugfix for new preferences in usermeta

2.4.2

  • Added loco_file_written hook
  • Improved script tampering warning
  • Added keypress for selecting auto-suggestion
  • Sync no longer copies msgstr fields by default
  • Style tweaks for WordPress 5.5

2.4.1

  • Fixed mapping of some API languages
  • Added locale filter to user preferences
  • Added debugging for credential form failures
  • Fixed deprecated use of array_key_exists
  • DeepL API service provider toegevoegd
  • Improved script tampering detection
  • Bumped WordPress versie naar 5.5
  • Added “modern” skin styles

2.4.0

  • Added support for third party translation APIs
  • Added file references to editor source pane in code view
  • Added fuzzy matching during editor Sync operation
  • Style changes including rearrangement of editor buttons
  • Elevated warnings when scripts are tampered with
  • Removed remnants of legacy version 1.x

2.3.4

  • Updated translatable strings
  • Added missing template recommendation
  • Waarschuwen in debug-modus wanneer er met scripts wordt geknoeid
  • Fix for Hello Dolly being installed into a folder
  • Removed translation column in POT edit mode
  • Added setting to prevent ’translating’ of POT files
  • Enabled some linkable translations using wp_kses
  • Bumped WordPress versie naar 5.4.1

2.3.3

  • Fixed fatal error when class not found

2.3.2

  • Removed login/email from default Last-Translator credit
  • WP compatibiliteit verhoogd naar 5.4
  • Fixed PHP 7.4 deprecations

2.3.1

  • Default POT getter now looks in “lang” directory
  • Not calling deprecated magic quotes functions under PHP 7.4
  • Fixed issue with conflicting page hooks
  • Ajax-bestandsuploads nu standaard ingeschakeld
  • Removed legacy option migrations from 1.x branch
  • WP compatibiliteit verhoogd naar 5.2.4

2.3.0

  • Added experimental support for multipart uploads
  • Added relocation tab for moving translation sets
  • Creation of missing directories when writing new files
  • Fixed duplicate file addition when iterating over symlink
  • Bumped WP compatibility to 5.2.1

2.2.2

  • Security fixes as per exploit-db 46619
  • Oude PHP-versiefout opgelost in databestanden
  • Nu ook compatible met WP 5.1.1

2.2.1

  • Bug opgelost waarbij meerdere tabs geen RTL weergeven
  • Diverse verbeteringen aan PO parser incl. betere charset afhandeling
  • Excluding node_modules and vendor directories by default
  • Transiënten hebben nu een maximale levensduur van 10 dagen, vernieuwd na 24 uur
  • Symlink-oplossing voor gevolgde themapaden die buiten het thema zijn gedetecteerd
  • Verouderde configuratie van repository
  • Gestuikte WP compatibiliteit met 5.1

2.2.0

  • Oplossing voor lege taalcode bij het krijgen van meervoudige regels
  • X-Loco-Version header aan gegenereerde Gettext bestanden toegevoegd
  • Sanity check voor mbstring.func_overload waanzin toegevoegd
  • Toegevoegd “Toewijzen template” link op ontbrekende template pagina
  • Toegevoegd JavaScript string extractie (experimenteel)
  • Editor ondersteunt sprintf-js wanneer javascript-format tag aanwezig is
  • Oplossing voor dubbele reacties wanneer eind leestekens verschillen
  • Msgctxt duidelijker markeren in editor weergaven
  • loco_admin_shutdown actie hook toegevoegd
  • Bumped WP compatibiliteit naar 5.0 (bèta)

2.1.5

  • Geüpdatet locale data
  • Kleine fix naar bestand referentie resolutie
  • Windows paden met trailing backslash opgelost
  • Probleem opgelost door ssh-sleutels te wisselen
  • Rejigged buffer behandeling tijdens Ajax
  • Bumped WP compatibiliteit tot 4.9.8

2.1.4

  • Bumped WP compatibiliteit met 4.9.6
  • Hooked in voorstel voor privacybeleid

2.1.3

  • Toegevoegd loco_locale_name filter en geüpdatet locale gegevens
  • Vaste editor kolom sorteren om te updaten als waarden veranderen
  • Ondersteuning van RTL text in editor voorbeeld rijen
  • Kleine refactor van de routering controle in de foutopsporingsmodus
  • Kleine PO parser verbeteringen
  • Bumped WP compatibiliteit met 4.9.5

2.1.2

  • Fixed undeclared property in admin hook
  • Fixed incompatibility with older WordPress
  • Foutieve milliseconde rapportage in footer gerepareerd
  • Removed locale progress column for en_US locale
  • Tweaks voor debugging en error logging

2.1.1

  • Instellen van Project-Id-Versie op nieuwe POT-bestanden
  • Added source view to quick links in file tables
  • Supporting only WordPress style locale codes
  • Editor scherm verdraagt ontbrekende PO-headers
  • Ajax-foutopsporingsverbeteringen voor probleemrapportage
  • Added loco_parse_locale action callback

2.1.0

  • Add fs_protect setting to avoid overwriting system files
  • Fixed bug in connect dialogue where errors not redisplayed
  • Kleine verbeteringen aan inline berichten
  • Removed downgrade notice under version tab
  • Fixed extraction bug where file header confused with comment
  • Enkele inconsistenties opgelost tussen PHP en JS-hulpprogramma’s
  • Toegevoegd tabblad Terugzetten met diff-display
  • loco_settings hook toegevoegd
  • Prevented editor from changing PO document order
  • Added default string sorting to extracted strings
  • Added “Languages” section for grouping files by locale
  • Probleem opgelost waarbij vertalingen werden geladen voordat de taal van het gebruikersprofiel werd ingesteld
  • Filter loco_locale_plurals toegevoegd voor het aanpassen van meervoudige regels
  • Toestaan dat PO-bestanden hun eigen regels voor meervoudsvormen afdwingen
  • Added loco_allow_remote filter for debugging remote problems
  • Updated plural forms from Unicode CLDR
  • PHP-extractor vermijdt herhaalde reacties
  • WP compatibiliteit naar 4.9.4 verhoogd

2.0.17

  • Niet-officiële talen die in de vervolgkeuzelijst “Geïnstalleerd” worden weergegeven
  • Fixed extraction bug where comment confused with file header
  • Er is een probleem opgelost waarbij SRC-kenmerken bij de server werden opgevraagd tijdens de HTML-strip
  • Toegevoegd loco_admin_init hook in ajax router voor consistentie
  • Added warning on file info page when file is managed by WordPress
  • Kleine hulp link en lay-out tweaks
  • Bumped WP compatibiliteit naar 4.9.1

2.0.16

  • File writer observes wp_is_file_mod_allowed
  • Fixed progress bug in editor for locales with nplurals=1
  • Made plural form categories translatable for editor UI
  • Sync-from-source raises warning when files are skipped
  • Added hack for extracting from .twig as per .php
  • Added warning when child themes declare parent text domain
  • Added option to control PO line wrapping
  • Bumped WP compatibiliteit naar 4.8.2

2.0.15

  • Permanent verouderde versie 1.x verwijderd
  • Fixed bug where editor code view was not redrawn on resize
  • Fixed bug where fuzzy flag caused format flag to be ignored
  • Fixed bug where autoloader responded to very long class names
  • Purging WP object cache when active plugin list changes
  • Added experimental source word count into POT info tab
  • Bumped WP compatibiliteit naar 4.8.1

2.0.14

  • Editor improvements inc. column sorting
  • Added warnings that legacy version will be removed
  • Toegevoegd PO source view tekst filtering
  • Toegevoegd _fs_nonce voor 4.7.5 compatibiliteit
  • Gemigreerd naar canoniek tekstdomein
  • WP class autoloading verwijderd

2.0.13

  • CSS conflictoplossingen
  • Added option for UTF-8 byte order mark
  • Printf highlighting observes no-php-format flag
  • Fixed issue with translator role losing “read” permission

2.0.12

  • Minor fix for root path configs
  • Added alternative PHP extensions setting
  • Nu ook compatible met WP 4.7.3
  • LoadHelper oplossing voor core bestanden
  • Toestaan dat rechten van de rol van vertaler worden ingetrokken
  • Netwerkbeheerders toestaan de toegang tot sitebeheerders te weigeren

2.0.11

  • Extra debug logging and error diagnostics
  • Forcefully clear output buffers before Ajax flush
  • Nu ook compatible met WP 4.7
  • Experimentele wildcard tekst domeinondersteuning

2.0.10

  • Laat ontbrekend domeinargument toe in plugin_locale filter
  • Reverted editor changes that disabled readonly text
  • Added invisibles and coding editor switches
  • Added table filtering via text query
  • Added Last-Translator user preference

2.0.9

  • Bumped minimum WordPress versie to 4.1
  • Some optimisation of transient caching
  • Fixed hash table settings bug

2.0.8

  • Bron refs-oplossing voor bestanden in onbekende subsets
  • Downgrades PO formatting exceptions to PHP warnings
  • Hernoemde functie voorvoegsels om PHP 7-waarschuwingen te vermijden
  • Betere ondersteuning voor PHP- formaat en no-PHP- formaat flag
  • PO bron en editor UI tweaks
  • Localised strings and implemented in js

2.0.7

  • Prototype.js conflict opgelost
  • Meer Windows-bestandspad-fixes
  • Loco_current_translator filter toegevoegd
  • Vals positief in extra bestandstest opgelost

2.0.6

  • PO wrapping bugfix
  • Downgraded source code bugfix
  • Tolerating headerless POT files
  • Core bundle metadata tweaks

2.0.5

  • Deferred missing tokenizer warning
  • Staat het bewerken van bestanden toe in niet-geconfigureerde sets
  • Added maximum PHP file size for string extraction
  • Weergave van PHP fatale fouten tijdens Ajax

2.0.4

  • Reduced session failures to debug notices
  • Ondersteuning voor wp_roles toegevoegd voor WP < 4.3
  • Fixed domain listener bugs

2.0.3

  • Ondersteuning voor Windows servers toegevoegd
  • Removed incomplete config warning on bundle overview

2.0.2

  • Bug opgelost waarbij absoluut pad werd gebruikt om plugins te krijgen
  • Loco_plugins_data filter toegevoegd
  • Added theme Template Name header extraction
  • Minor copy amends

2.0.1

  • Added help link in settings page
  • Fixed opendir warnings in legacy code
  • Catching session errors during init
  • Removing meta row link when plugin not found

2.0.0

  • Eerste release van volledig herbouwde versie 2